Opened 5 years ago

Closed 5 years ago

#936 closed defect (fixed)

ProRes in mov: non monotonically increasing dts

Reported by: sappu Owned by:
Priority: normal Component: undetermined
Version: git-master Keywords: av_interleaved_write_frame prores
Cc: Blocked By:
Blocking: Reproduced by developer: yes
Analyzed by developer: no

Description (last modified by cehoyos)

Application provided invalid, non monotonically increasing dts to muxer in stream 0: 128100 >= 128100

Sorry for wrong link. The link that I got fail is below.

http://samples.mplayerhq.hu/V-codecs/HCPA/AppleProRes422.mov

ffmpeg -i AppleProRes422.mov -sn -an -vcodec copy -map 0:0 apple.mov

ffmpeg version git-2012-01-18-e191f1f Copyright (c) 2000-2012 the FFmpeg developers

    built on Jan 19 2012 06:57:53 with gcc 4.6.1
    configuration: --enable-gpl --enable-libfaac --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libtheora --enable-libvorbis --enable-libx264 --enable-nonfree --enable-postproc --enable-version3 --enable-x11grab --enable-nonfree
    libavutil 51. 34.101 / 51. 34.101
    libavcodec 53. 57.100 / 53. 57.100
    libavformat 53. 30.100 / 53. 30.100
    libavdevice 53. 4.100 / 53. 4.100
    libavfilter 2. 59.101 / 2. 59.101
    libswscale 2. 1.100 / 2. 1.100
    libswresample 0. 6.100 / 0. 6.100
    libpostproc 51. 2.100 / 51. 2.100

[mov,mp4,m4a,3gp,3g2,mj2 @ 0xa577ac0] Could not find codec parameters (Subtitle: none (c608 / 0x38303663))
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from '/media/wshare/Downloads/AppleProRes422.mov':

    Metadata:

        major_brand : qt
        minor_version : 537199360
        compatible_brands: qt
        creation_time : 2011-03-30 16:15:56

    Duration: 00:00:11.48, start: -31.262930, bitrate: 70673 kb/s

        Stream #0:0(eng): Video: prores (apch / 0x68637061), yuv422p10le, 720x486, 61092 kb/s, 29.97 fps, 29.97 tbr, 2997 tbn, 2997 tbc
        Metadata:

            creation_time : 2011-03-30 16:15:56
            handler_name : ?Apple Alias Data Handler

        Stream #0:1(eng): Subtitle: none (c608 / 0x38303663)
        Metadata:

            creation_time : 2011-03-30 16:15:56
            handler_name : ?Apple Alias Data Handler

        Stream #0:2(eng): Audio: pcm_s24le (in24 / 0x34326E69), 48000 Hz, mono, s32, 1152 kb/s
        Metadata:

            creation_time : 2011-03-30 16:15:56
            handler_name : ?Apple Alias Data Handler

        Stream #0:3(eng): Audio: pcm_s24le (in24 / 0x34326E69), 48000 Hz, mono, s32, 1152 kb/s
        Metadata:

            creation_time : 2011-03-30 16:15:56
            handler_name : ?Apple Alias Data Handler

        Stream #0:4(eng): Audio: pcm_s24le (in24 / 0x34326E69), 48000 Hz, mono, s32, 1152 kb/s
        Metadata:

            creation_time : 2011-03-30 16:15:56
            handler_name : ?Apple Alias Data Handler

        Stream #0:5(eng): Audio: pcm_s24le (in24 / 0x34326E69), 48000 Hz, mono, s32, 1152 kb/s
        Metadata:

            creation_time : 2011-03-30 16:15:56
            handler_name : ?Apple Alias Data Handler

        Stream #0:6(eng): Audio: pcm_s24le (in24 / 0x34326E69), 48000 Hz, mono, s32, 1152 kb/s
        Metadata:

            creation_time : 2011-03-30 16:15:56
            handler_name : ?Apple Alias Data Handler

        Stream #0:7(eng): Audio: pcm_s24le (in24 / 0x34326E69), 48000 Hz, mono, s32, 1152 kb/s
        Metadata:

            creation_time : 2011-03-30 16:15:56
            handler_name : ?Apple Alias Data Handler

        Stream #0:8(eng): Audio: pcm_s24le (in24 / 0x34326E69), 48000 Hz, mono, s32, 1152 kb/s
        Metadata:

            creation_time : 2011-03-30 16:15:56
            handler_name : ?Apple Alias Data Handler

        Stream #0:9(eng): Audio: pcm_s24le (in24 / 0x34326E69), 48000 Hz, mono, s32, 1152 kb/s
        Metadata:

            creation_time : 2011-03-30 16:15:56
            handler_name : ?Apple Alias Data Handler

        Stream #0:10(eng): Data: none (tmcd / 0x64636D74)
        Metadata:

            creation_time : 2011-03-30 16:15:56
            handler_name : ?Apple Alias Data Handler
            timecode : 07:11:11;07

File 'apple.mov' already exists. Overwrite ? [y/N] y
Output #0, mov, to 'apple.mov':

    Metadata:

        major_brand : qt
        minor_version : 537199360
        compatible_brands: qt
        creation_time : 2011-03-30 16:15:56
        encoder : Lavf53.30.100
        Stream #0:0(eng): Video: prores (apch / 0x68637061), yuv422p10le, 720x486, q=2-31, 61092 kb/s, 29.97 fps, 2997 tbn, 2997 tbc
        Metadata:

            creation_time : 2011-03-30 16:15:56
            handler_name : ?Apple Alias Data Handler

Stream mapping:

    Stream #0:0 -> #0:0 (copy)

Press [q] to stop, ? for help
Application provided invalid, non monotonically increasing dts to muxer in stream 0: 128100 >= 128100
av_interleaved_write_frame(): Invalid argument

Change History (2)

comment:1 Changed 5 years ago by cehoyos

  • Component changed from FFmpeg to undetermined
  • Description modified (diff)
  • Keywords av_interleaved_write_frame prores added
  • Reproduced by developer set
  • Status changed from new to open
  • Summary changed from Remuxing Apple prores video to ProRes in mov: non monotonically increasing dts

comment:2 Changed 5 years ago by cehoyos

  • Resolution set to fixed
  • Status changed from open to closed

Remuxing works fine with current git head.

Note: See TracTickets for help on using tickets.